package com.simuwang.base.components;

import cn.hutool.core.collection.ListUtil;
import com.simuwang.base.pojo.dos.SysUserDO;
import com.simuwang.base.service.UserAuthService;
import com.simuwang.shiro.core.ShiroUser;
import com.simuwang.shiro.core.adapter.LoginAuthAdapter;

import java.util.List;

/**
 * 自定义的登录认证适配器实现，从数据库获取数据并且bean注入要调整为当前实现
 */
public record ShiroLoginAuthAdapter(UserAuthService userAuthService) implements LoginAuthAdapter {

    @Override
    public ShiroUser findUserByUsername(String username) {
        SysUserDO userInfo = this.userAuthService.getUserInfoByUsername(username);
        ShiroUser sysUser = new ShiroUser();
        sysUser.setUserId(userInfo.getUserId().toString());
        sysUser.setUsername(userInfo.getUserName());
        sysUser.setPassword(userInfo.getPassword());
        return sysUser;
    }

    @Override
    public List<String> findRoleByUserId(String userId) {
        return ListUtil.toList("SYSTEM");
    }

    @Override
    public List<String> findPermissionsByUserId(String userId) {
        return ListUtil.toList("RS:ALL", "RS:TEST");
    }
}
