package com.simuwang.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.simuwang.base.mapper.SysUserMapper;
import com.simuwang.base.pojo.dos.SysUserDO;
import org.springframework.stereotype.Service;

@Service
public class UserAuthService {
    private final SysUserMapper userMapper;

    public UserAuthService(SysUserMapper userMapper) {
        this.userMapper = userMapper;
    }

    /**
     * 根据用户账号获取用户信息
     *
     * @param username 用户账号
     * @return /
     */
    public SysUserDO getUserInfoByUsername(String username) {
        LambdaQueryWrapper<SysUserDO> wrapper = Wrappers.lambdaQuery(SysUserDO.class)
                .eq(SysUserDO::getUserName, username).eq(SysUserDO::getValid, 1);
        return this.userMapper.selectOne(wrapper);
    }
}
